Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# config.h File Reference

`#include <glibmm.h>`
`#include <gdkmm/gl/defs.h>`
`#include <gdkmm/screen.h>`
`#include <gdkmm/visual.h>`
`#include <gdkmm/colormap.h>`

Include dependency graph for config.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Gdk
namespace | Gdk::GL
namespace | Glib
## Classes
class | Gdk::GL::Config
## Enumerations
enum | Gdk::GL::ConfigMode { Gdk::GL::MODE_RGB = 0, Gdk::GL::MODE_RGBA = 0, Gdk::GL::MODE_INDEX = 1 << 0, Gdk::GL::MODE_SINGLE = 0, Gdk::GL::MODE_DOUBLE = 1 << 1, Gdk::GL::MODE_STEREO = 1 << 2, Gdk::GL::MODE_ALPHA = 1 << 3, Gdk::GL::MODE_DEPTH = 1 << 4, Gdk::GL::MODE_STENCIL = 1 << 5, Gdk::GL::MODE_ACCUM = 1 << 6, Gdk::GL::MODE_MULTISAMPLE = 1 << 7 }
## Functions
ConfigMode | Gdk::GL::operator| (ConfigMode lhs, ConfigMode rhs)
ConfigMode | Gdk::GL::operator & (ConfigMode lhs, ConfigMode rhs)
ConfigMode | Gdk::GL::operator^ (ConfigMode lhs, ConfigMode rhs)
ConfigMode | Gdk::GL::operator~ (ConfigMode flags)
ConfigMode & | Gdk::GL::operator|= (ConfigMode &lhs, ConfigMode rhs)
ConfigMode & | Gdk::GL::operator &= (ConfigMode &lhs, ConfigMode rhs)
ConfigMode & | Gdk::GL::operator^= (ConfigMode &lhs, ConfigMode rhs)